#!/usr/bin/env bash

{
    echo `hostname`
    mkdir -p data
    echo
    echo -e "\nBuild iTraceroute\n"
    
    tar zxvf itraceroute_0.1.tar.gz
    cd itraceroute_0.1
    ./configure && make
    
    cd ..
    cp itraceroute_0.1/{iPing,iTraceroute} probing/

    echo -e "\nBuild mini_httpd\n"    
    tar zxvf mini_httpd-1.19.tar.gz
    cd mini_httpd-1.19
    make
    cd ..
} | tee test.log
