#!/usr/bin/env bash

export PATH=$PATH:/usr/bin:/usr/local/bin
SCRIPTDIR=$(dirname $0)

if test -f data/run.pid && ps -p `cat data/run.pid`; then
    echo "Another instance is running. Please kill it (kill.sh) first."
    exit 1
fi

#echo "Usage: run.sh traceroute_source_port"
#echo "          for seattle site, use run.sh 32000"
#echo "          for london site, use run.sh 33000"

echo "# Invoke: $0 $@      at $(date)" > data/run.msg

mkdir -p data; cd data
#../comboProbing/super.sh -p 150 -S 198.180.153.1 \
../comboProbing/super.sh -p 50 \
    $PORT >run.out 2>run.err &

echo $! > run.pid

echo
echo "I'm running now!"
