/*************************************************************/
/* iTraceroute (part of iSPY) Project                        */
/* Copyright (c) 2008, Zheng Zhang, Purdue University        */
/*************************************************************/

#ifndef __PP_ICMPECHO_H__
#define __PP_ICMPECHO_H__

#include "Common.h"

//Implement the concept Probe for Ping template
class PP_IcmpEcho {
public:
    PP_IcmpEcho (uint32 destIP, uint16 icmp_id); //Dummyprobe if destIP==0, used for parsing packet only
    ~PP_IcmpEcho ();

    void send (uint16 seq);
    bool parse (char* rawIpPacket, int packet_len, uint16* seq);
    string info_str (void);
    
private:
    void create_raw_socket (int *sockd);
    
    int sockd_;
    uint16 icmp_id_;
    uint32 destIP_, srcIP_;
};

#endif
