#!/bin/bash

SCRIPTDIR=$(dirname $0)
cd $SCRIPTDIR

if ! perl -e 'use Time::HiRes; '; then
    sudo rpm -Uvh perl-Time-HiRes-1.65-1.i386.rpm \
        || { echo "Cannot install Time-HiRes"; exit 1; }
fi

sudo chown root iPing iTraceroute || \
    { echo "Cannot give permission to traceroute"; exit 1; }

sudo chmod u+s iPing iTraceroute || \
    { echo "Cannot give permission to traceroute"; exit 1; }

exit 0
