#!/usr/bin/env bash

find -name "setup*.sh" -type f > runSetup.tmp
echo "#invoke $0 at `date` on `hostname`" > runSetup.log

here=$(pwd)
while read test; do
    cd `dirname $test`;
    cmd=$(basename $test)
    echo >> $here/runSetup.log
    echo "#Test $test" >> $here/runSetup.log
    echo >> $here/runSetup.log
    echo -n "  $test ...... "
    if ./$cmd >> $here/runSetup.log 2>&1; then
        echo "ok"
    else
        echo "fail"
        exit 1
    fi
    cd $here
done < runSetup.tmp
